<?php

//Clase de Paises
	


//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar($n_reg){
		$sql = "UPDATE $this->nom_tabla SET fnumres = '$this->fnumres',fcodtarifa = '$this->fcodtarifa',fnumcto= '$this->fnumcto', ffecllegada= '$this->ffecllegada', ffecsalida= '$this->ffecsalida', fnumadu= '$this->fnumadu', fnummenor= '$this->fnummenor', fcodgrupo= '$this->fcodgrupo', fcodagen= '$this->fcodagen', fcodmeca= '$this->fcodmeca', fplan= '$this->fplan', smerf= '$this->smerf', fnorasvip= '$this->fnorasvip', fnombre= '$this->fnombre', fapellido= '$this->fapellido', flengua= '$this->flengua', fempresa= '$this->fempresa', ftelefono= '$this->ftelefono', fvip= '$this->fvip', femail= '$this->femail', fmail= '$this->fmail', fdireccion= '$this->fdireccion', fformpago= '$this->fformpago', fnumtar= '$this->fnumtar', fsaldo= '$this->fsaldo', flimite= '$this->flimite', fcodseg= '$this->fcodseg', fgntd= '$this->fgntd', fcp= '$this->fcp', fpais= '$this->fpais', festado= '$this->festado', fciudad= '$this->fciudad', fnumctos= '$this->fnumctos', status= '$this->status', fplacas= '$this->fplacas', fvehiculo= '$this->fvehiculo', ftelemp= '$this->ftelemp', ftipocto= '$this->ftipocto', ftiphuesped= '$this->ftiphuesped' where n_reg = '$n_reg' ";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "UPDATE valeryus19 set cancelado = 1, fnumcto = ' '  WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>